Name:           evolution-sharp
Version:        0.10.2
Release:        9.5
Summary:        Evolution Data Server Mono Bindings

Group:          System Environment/Libraries
License:        LGPL
URL:            http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/0.10/
Source0:        evolution-sharp-%{version}.tar.bz2
Patch1:         evolution-sharp-mono-lib.patch
Patch2:		evolution-sharp-evo26.patch
Patch3:		evolution-sharp-0.10.2-evolibdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  evolution-data-server-devel evolution-devel
BuildRequires:  mono-devel gtk-sharp2-gapi
BuildRequires:  automake, libtool, gtk-sharp2
Requires:       evolution-data-server

# Mono only availible on these:
#ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc
# Disable s390(x) because evolution is broken there

%description
Mono/C# bindings for the Evolution addressbook.

%prep
%setup -q
%patch1 -p0 -b .libs
%patch2 -p1 -b .evo26
%patch3 -p0 -b .evolibdir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/*.so
%{_libdir}/pkgconfig/evolution-sharp.pc
%{_prefix}/lib/mono/gac/evolution-sharp/*
%{_prefix}/lib/mono/evolution-sharp/evolution-sharp.dll
%{_prefix}/share/gapi-2.0/*

%changelog
* Mon Jul  3 2006 Matthew Barnes <mbarnes@redhat.com> - 0.10.2-9.5
- Bump ECAL_SOVERSION from 3 to 6 (RH #195759).

* Thu Jun 15 2006 Ray Strode <rstrode@redhat.com> 0.10.2-9.4
- rebuild

* Wed Jun 07 2006 Jesse Keating <jkeating@redhat.de> 0.10.2-9.3
- Exclude s390(x) because evolution won't build there

* Tue Jun 06 2006 Jesse Keating <jkeating@redhat.de> 0.10.2-9.1
- Rebuild for new EDS

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.10.2-9
- BuildRequire gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-8
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.10.2-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-7
- Update evolution-sharp-evo26.patch look for a SO_NUM of 7 for edataserver
- BuildRequire evolution-devel

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-6
- Rebuild

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.10.2-5
- rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.10.2-4
- Build on s390x

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-3
- Fix evo 2.6 patch
- Add evolibdir pkg-config variable patch from cvs (modified for evo 2.6)

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-2
- Add s390 arch
- Build with evo 2.6

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.10.2-1
- Initial version
